/*
发送验证码组件
数据MODEL
useType:发送验证码类型，具体根据MTP的文档来
transId : 订单ID
mobileNumFormat: 页面INPUT框的手机号（格式化的）
errmsg:错误消息提醒，例如"请输入正确的手机号!",
完整例子如下：
var phoneInputData = {
		inputText:"手机号码",
		inputModel:"",
		inputLen:"13",
		format:3,
		errmsg:"请输入正确的手机号!",
		display_none:"display_none",
		useType:10,
		transId:""
	}
html代码段
<sendcode-component v-with="phoneNum:phoneInputData.inputModel" v-ref="sendcode" ></sendcode-component>
需要注意的是 sendCss sendWord errmsg 支持自定义
例如可以这样用
<sendcode-component v-with="phoneNum:phoneInputData.inputModel,sendCss:'oneline_count',sendWord:'发送',errmsg:'请输入手机号',isReady:false" v-ref="sendcode" ></sendcode-component>
第一次触发可以这样写
var Login = new vue(data);
Login.$.sendcode.onSendMsg();


支持父类事件的回调
在父类中 定义如下事件即可
methods: {
	    	send:function(callBack){
	    		var params = {
					data: {

						phoneNum: data.phoneInputData.inputModel&&data.phoneInputData.inputModel.replace(/\s/g,''),
						tradeId:data.phoneInputData.transId||"12345",
						useType:data.phoneInputData.useType

					},
					success: function(json) {
						if (json.resultCode != "1000") {
							window.PAPaySDK.toast(json.resultMsg);
							callBack.errorfunc();
							return 
						}
						callBack.successfunc();
					},
					error: function() {callBack.errorfunc();}
				};
				console.log("nidf")
			    RegisterData.bindBankCardSendCode(params);
	    	},
*/define("SendCode",["Util"],function(e){var t=location.href,n=t.split("/"),r=n.pop();r=n.pop()+"_"+r;var i="<div class='oneline_count {{sendCss}}' disabled={{disabled}} v-on='click:onSendMsg' >{{sendWord}}</div>",s=function(e,t,n){var r=window.webview.getMemory(t.keyPNum);if(r&&r.endTime){var i=r.endTime,s=new Date,o=s.getTime(),u=r.endTime-o;if(u>0){var a=u/1e3>>0;e=a}else e=0}else{var i=(new Date).getTime()+6e4;window.webview.addMemory(t.keyPNum,{endTime:i})}(function(){if(e>0){t.disabled!="disabled"&&(t.sendCss="text_right",t.disabled="disabled");var r=new Date,s=r.getTime(),o=i-s,u=0;if(o>1e3){var a=o/1e3>>0,f=o%1e3;f>700?(u=f-700,a++):f<300&&(u=f),e=a}else e=1;t.sendWord=e+"S",e--,setTimeout(arguments.callee,1e3-u)}else t.sendCss="oneline_count_bg",t.sendWord="重新发送",t.disabled=!1,t.isReady=!0,window.webview.removeMemory(t.keyPNum),n&&n()})()},o=Vue.component("sendcode-component",{template:i,data:function(){return{sendCss:"oneline_count_bg",sendWord:"免费获取",disabled:"",isReady:!0,errmsg:"无效的手机号码或手机号码为空",hasPhoneNum:!0}},methods:{onSendMsg:function(){if(!this.isReady)return;this.isReady=!1,event&&event.preventDefault();if(this.disabled=="disabled"){this.isReady=!0;return}if(this.$parent.checkSendReady){var t=this.$parent.checkSendReady();if(!t)return this.isReady=!0,!1}var n=this.phoneNum&&this.phoneNum.replace(/\s/g,"")||"";this.keyPNum="_sendCode_"+n+"_"+r;if(!e.checkMobile(n)&&this.hasPhoneNum)return window.PAPaySDK.pb_toast(this.errmsg),this.isReady=!0,!1;var i=this,o=window.webview.getMemory(i.keyPNum);if(o&&o.endTime){var u=new Date,a=u.getTime(),f=o.endTime-a;if(f>0){var l=f/1e3>>0;s(l,i);return}window.webview.removeMemory(i.keyPNum)}var c={};c.successFunc=function(){s(60,i)},c.errorFunc=function(){i.isReady=!0},i.$parent.send?i.$parent.send(c):c.successFunc()}}});return o});